// $Id: tv.vert,v 1.4 2006/06/20 18:31:34 m9710797 Exp $

uniform vec2 texSize;

varying vec4 intCoord;
varying vec4 cornerCoord;

void main()
{
	gl_Position = ftransform();
	intCoord.xy = gl_MultiTexCoord0.xy * texSize;
	intCoord.zw = -intCoord.xy;
	cornerCoord = vec4(gl_MultiTexCoord0.xy,
	                   gl_MultiTexCoord0.xy + 1.0 / texSize);
}
